Vote to Improve PrestaShop

PrestaShop Forum: Build a free online shop. Count on the Community!

The best place in the world to ask questions about PrestaShop and get advice from our passionate community!

PrestaShop Forum: Build a free online shop. Count on the Community!

Jump to content

Photo

Guide de mise à jour automatique en 1.4.5.1

mise à jour 1.4.5.1 guide

  • Please log in to reply
268 replies to this topic
tigrou

    PrestaShop Newbie

  • Members
  • Pip
  • 4 posts

Posted 14 October 2011 - 04:04 PM

J'ai un message d'erreur (Error during backupdb) (passage de 1.4.4.1 vers 1.4.5.1)

Avez vous une idée (je suis hebergé en mutu ovh)

facbest

    PrestaShop Apprentice

  • Members
  • PipPip
  • 149 posts

Posted 14 October 2011 - 04:24 PM

Bonjour,

le module autoupgrade.zip ne veut pas s'installer voilà le message d'erreur The following module(s) were not installed successfully:

une idée

facbest

Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 14 October 2011 - 04:28 PM

Bonjour,

pouvez vous donner la version de prestashop que vous utilsez actuellement ?

Concernant l'installation qui ne fonctionne pas, c'est du je pense à un problème dans la base de données que vous avez (une entrée en trop dans la table ps_tab_lang). Cela peut se résoudre tout seul si vous désinstallez/réinstaller le module

pour backupDb, j'essaye de voir ce qui ne va pas, peut être un timeout ...
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

crea34

    PrestaShop Apprentice

  • Members
  • PipPip
  • 442 posts

Posted 14 October 2011 - 04:31 PM

Bonjour,

le module autoupgrade.zip ne veut pas s'installer voilà le message d'erreur The following module(s) were not installed successfully:

une idée

facbest

si vous êtes en version 1.4.4.1 le module est déjà présent en natif, simplement allez dans "outils" "mise à jour" (j'ai fait la même manip avant de m'en rendre compte :) )

facbest

    PrestaShop Apprentice

  • Members
  • PipPip
  • 149 posts

Posted 14 October 2011 - 04:32 PM

j'utilise la version 1.4.4.1

J'ai installé par ftp plusieur fois directement dans module aussi çà veut rien savoir

facbest

    PrestaShop Apprentice

  • Members
  • PipPip
  • 149 posts

Posted 14 October 2011 - 04:34 PM

Merci je vais voir

facbest

    PrestaShop Apprentice

  • Members
  • PipPip
  • 149 posts

Posted 14 October 2011 - 04:54 PM

statut du dossier racine il faut le mettre en 777 récursif ?

Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 14 October 2011 - 04:56 PM

Bonjour,

non le module n'est pas présent en natif en 1.4.4.1 car c'est la version "intégrée" qui est présente.

A la sortie de la 1.4.4.0 nous avons eu beaucoup de retour, et afin de s'affranchir de beaucoup de problème l'autoupgrade est devenu un module, présent donc à partir de la version 1.4.5.0.

Nous avons testé le module autoupgrade et il s'installe très facilement de 1.3.x à 1.4.x (installation "fresh" et copie de sites en production).

est ce que les logs d'erreur php disent quelquechose (pour les afficher à l'écran, il faut éditer config.inc.php et mettre "on" à la place de "off" pour display_errors, et rajouter error_reporting(E_ALL) )
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 14 October 2011 - 04:58 PM

facbest,

Pour installer le module, il faut que l'utilsiateur d'apache ait les droits d'écriture dans le dossier module.

Pour l'utiliser, il faut que apache puisse écrire dans tous les dossiers, à partir de la racine de prestashop, mais cela est précisé dans l'onglet Outils > Upgrade
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

Le-cathare

    PrestaShop Fanatic

  • Members
  • PipPipPipPip
  • 1876 posts

Posted 14 October 2011 - 04:59 PM

J'ai fais la maj, mon thème par default modifié à bien été tranférer tout seul. par contre la navigation a facette beug toujours normal ?


Le module est reactivé sur mon site, pour ceux qui veullent m'aider

Antenne TNT et Satellite - Télécommande d'origine pour TV, récepteur, ...  - Accessoires - Arts de la table - Ampoules LED

Hébergeur : OVH (Mutualisé) - Version Prestashop : 1.5.6.2 - Thème : Newatch UNIVERSEL 1.5 Responsive


Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 14 October 2011 - 05:02 PM

Tigrou, utilises tu le module ou la version qui existait déjà en 1.4.4.0/1 ?
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

crea34

    PrestaShop Apprentice

  • Members
  • PipPip
  • 442 posts

Posted 14 October 2011 - 05:45 PM

Pour moi l'autoupgrade intégré présent dans la 1.4.4.1 a fonctionné, comme quoi tout arrive :)

lokiiy

    PrestaShop Addict

  • Members
  • PipPipPip
  • 922 posts

Posted 14 October 2011 - 08:42 PM

Bjr,

J'ai tésté l'autoupgrade de 1.4.4.0 vers 1.4.4.5 ...
Apparemment la mise à jour fonctionne bien .... Seulement ça ne marche pas pour la CSS et les images .

Je m'explique.. j'ai directement modifié le thème Prestashop dans la 1.4.4.0.. donc ma CSS et mes images sont de ce thème.... La mise a jour me met le thème Prestashop de la 1.4.4.5 ...

Ma question est : Est ce qu'il me faut écraser le dossier "image et CSS" du nouveau thème avec mon ancien que j'ai sauvegardé???!!
Ou est ce qu il y a une manipulation que j ai loupé lors de l'autoupgrade

Je me posais des question sur ce paramètre pour conserver le thème de ma 1.4.4.0
Conserver le thème "prestashop" actuel
Posted Image Oui Posted Image Non
Si vous avez personnalisé le thème par défaut de PrestaShop, vous pouvez le protéger de la mise à niveau (non recommandé)

Moi j'ai cliqué sur oui pour qu'il conserve mon thème... Est ce bien ce que je dois faire pour conserver mon thème de la 1.4.4.0 intact une fois la MAJ de la 1.4.4.5 réalisé ??

Si vous avez une petite idée de la manipulation correct à faire je suis preneur...

Merci
Lokiiy

Presta MAJ de 1.4.11 vers 1.6.0.8
"La connaissance n'est intéressante que si elle est partagée."

Quand tu te sens en situation d'échec, souviens-toi que le grand chêne, lui aussi, a été un gland ! 


Rho_bur

    PrestaShop Apprentice

  • Members
  • PipPip
  • 487 posts

Posted 15 October 2011 - 10:22 AM

Salut,

Après avoir réussi à installer la mise à jour automatique sur mon 14.4.0 J'ai également rencontrer le problème de l'option de mise à jour ne s'affiche pas dans l'onglet Outils, peu importe ce que je fais, j'ai vérifié avec mon fournisseur et ils disent que "allow_url_fopen = On» est activé.

Je ne peux pas installer le module de cela donne "Erreur fatale" (au moins sur le site de test en ligne, je n'ai pas essayé sur le monde réel).

Quel pourrait être le problème?

Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 15 October 2011 - 10:51 AM

Bonjour Rhobur, peux tu m'envoyer un accès admin en privé sur ton site de test ?
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

lokiiy

    PrestaShop Addict

  • Members
  • PipPipPip
  • 922 posts

Posted 15 October 2011 - 11:45 AM

Aucune piste ... Avant que je fasse de la boucherie :ph34r:

Thanks

Presta MAJ de 1.4.11 vers 1.6.0.8
"La connaissance n'est intéressante que si elle est partagée."

Quand tu te sens en situation d'échec, souviens-toi que le grand chêne, lui aussi, a été un gland ! 


zano

    PrestaShop Newbie

  • Members
  • Pip
  • 21 posts

Posted 15 October 2011 - 12:57 PM

Bonjour,

Je suis en 1.4.0.17 et lorsque j'installe le module autoupgrade, j'ai un message
Posted ImageThe following module(s) were not installed successfully:
  • autoupgrade
par contre, sur outils, j'ai maintenant un bouton upgrade, mais je prefere ne pas tenter car je suppose que si j'ai un message qui me dit que ce n'est pas bien installé, il doit y avoir un probleme.
que dois je verifier ?

Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 15 October 2011 - 01:06 PM

Si tu as l'onglet upgrade, c'est qu'il s'est bien installé. Le message d'erreur vient peut être à cause de la base de donnée qui contient des données invalides.

Si tu vas sur l'onglet et que la page se charge correctement, alors tout fonctionnera (la liste des fichiers qui ne sont pas d'origine (et qui seront écrasés) doit s'afficher.
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

Asenar

    PrestaShop Addict

  • Members
  • PipPipPip
  • 597 posts

Posted 15 October 2011 - 01:10 PM

lokiiy,

je te conseille de copier ton thème dans un nouveau répertoire (du nom de ta boutique ou ce que tu veux) pour pouvoir faire la mise à jour tout en ayant le thème par défaut à jour, et ce qui te permettra de modifier ton thème perso afin qu'il soit lui aussi complet.
Michael Marinetti<br />
prestashop is a long story. Still around sometimes, but don't ask me help in PV.<br />
Github addict

boubou4571

    PrestaShop Apprentice

  • Members
  • PipPip
  • 90 posts

Posted 15 October 2011 - 01:14 PM

Après des difficultés por la MAJ de prestashop 1.4.4.1 => 1.4.5.1, mettre un php.ini avec allow_url_fopen=on dans le répertoire admin/autoupgrade
La mise à jour s'est faite correctement. Maintenant il n'y a plus qu'à tester





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users